#include <LPC214x.h>

#define LCD_RS (1<<10)
#define LCD_RW (1<<12)
#define LCD_EN (1<<13)

void lcd_cmd (unsigned char val);
void lcd_data (unsigned char val);
void delay (unsigned int);
void gpio_init(void);


unsigned char cmd1[5] = {0x38,0x0e,0x06,0x01,0x80};
unsigned char msg1[] = "ALSELECTRO";
unsigned char msg2[] = "LPC2148";

int main()
{
	unsigned int i;
	gpio_init();

	for (i=0; i<5; i++)
	 lcd_cmd(cmd1[i]);

	for (i=0; msg1[i] != '\0' ; i++)
	 lcd_data (msg1[i]);
	
	lcd_cmd (0xc0);

	for (i=0; msg2[i] != '\0' ; i++)
	 lcd_data (msg2[i]);

	while(1);
}

void gpio_init()
{
	PINSEL1 = 0x00000000;
	IODIR0 |= 0x00FF3400;
	IOCLR0 = 0x00FF3400;


}

void lcd_cmd(unsigned char val)
{
	IOPIN0 = (val<<16);
	IOCLR0 = LCD_RS;
	IOCLR0 = LCD_RW;
	IOSET0 = LCD_EN;
	delay(50);
	IOCLR0= LCD_EN;
	delay(100);

}

void lcd_data(unsigned char val)
{
	IOPIN0 = (val<<16);
	IOSET0 = LCD_RS;
	IOCLR0 = LCD_RW;
	IOSET0 = LCD_EN;
	delay(50);
	IOCLR0= LCD_EN;
	delay(100);

}

void delay (unsigned int value)
{
	unsigned int i,j;
	for(i=0; i<value; i++)
	{
   	for (j=0; j<3000; j++);
	}
}

